//
//  AddBookmarkViewController.h
//  MerckManual
//
//  Created by Brian Pfeil on 3/31/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>


@interface AddBookmarkViewController : UIViewController<UITableViewDataSource, UITableViewDelegate, UITextFieldDelegate> {
	UITableView *_tableView;
	UITextField *_bookmarkNameTextField;
	NSDictionary *_currentItem;
}

@property(nonatomic, retain) IBOutlet UITableView *tableView;
@property(nonatomic, retain) IBOutlet UITextField *bookmarkNameTextField;
@property(nonatomic, retain) NSDictionary *currentItem;

- (void)initBookmarkNameTextField;
- (void)updateBookmarkNameWithCurrentItem;

- (void)save:(id)sender;

@end
