//
//  NavigationHistory.h
//  MerckManual
//
//  Created by Brian Pfeil on 3/27/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface BookmarkManager : NSObject<NSCoding> {
	NSMutableArray *_items;
}

@property(nonatomic, readonly) NSMutableArray *items;

+ (BookmarkManager*)sharedInstance;

- (void)addBookmarkNamed:(NSString*)name forItem:(id)item forDate:(NSDate*)date;

- (BOOL)save;

@end
