//
//  Content.h
//  MerckManual
//
//  Created by Brian Pfeil on 3/27/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "FMDatabase.h"
#import "FMDatabaseAdditions.h"

@interface Content : NSObject {
	FMDatabase *_db;
	NSMutableArray *_content;
	NSMutableArray *_chaptersAndTopics;
}

@property(nonatomic, readonly, getter=getContent) NSArray *content;

+ (Content*)sharedInstance;

- (NSArray*)getParasForTopicId:(NSString*)topicId;
- (NSMutableDictionary*)populateTopic:(NSMutableDictionary*)topic;
- (NSMutableDictionary*)getItemType:(NSString*)type forProperty:(NSString*)property equalToValue:(NSString*)value;
- (NSMutableDictionary*)getItemType:(NSString*)type forId:(NSString*)itemId;
- (NSArray*)getAllChaptersAndTopics;

- (NSString*)contentCacheFilePath;
- (BOOL)contentCacheFileExists;
- (BOOL)save;
- (id)getContentFromCache;

@end
