//
//  NavigationHistory.h
//  MerckManual
//
//  Created by Brian Pfeil on 3/27/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface NavigationHistory : NSObject<NSCoding> {
	NSMutableArray *_items;
	int _currentIndex;
}

+ (NavigationHistory*)sharedInstance;

- (id)navigate:(id)item;
- (id)back;
- (id)forward;
- (id)currentItem;

- (BOOL)canNavigateBack;
- (BOOL)canNavigateForward;

- (BOOL)save;

@end
