//
//  TOCViewController.h
//  MerckManual
//
//  Created by Brian Pfeil on 3/26/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Content.h"

@interface SearchViewController : UIViewController<UITableViewDataSource, UITableViewDelegate, UISearchBarDelegate> {
	UITableView *_tableView;
	UIView *_waitingView;
	NSArray *_content;
	UISearchBar	*_searchBar;
    //UISearchDisplayController *_searchDisplayController;
	NSMutableArray *_filteredContent;	// the filtered content as a result of the search
    NSString *_savedSearchTerm;
    NSInteger _savedScopeButtonIndex;
    unsigned int _searchWasActive;
	NSMutableArray *_chapterTopicsCache;
	
	NSThread *_searchThread;
}

@property(nonatomic, retain) IBOutlet UITableView *tableView;
@property(nonatomic, retain) IBOutlet UIView *waitingView;
@property(nonatomic, retain) NSArray *content;
@property (nonatomic, retain) IBOutlet UISearchBar *searchBar;

//@property (nonatomic, retain) UISearchDisplayController *searchDisplayController;
@property (nonatomic, retain) NSMutableArray *filteredContent;
@property (nonatomic, copy) NSString *savedSearchTerm;
@property (nonatomic) NSInteger savedScopeButtonIndex;
@property (nonatomic) unsigned int searchWasActive;


- (void)updateUI;
- (NSMutableArray*)getChapterTopics:(NSArray*)items;

@end
